// nc-form/nc-form-fields.js

// /src/components/nc-col.vue, see nc-main.css
import createComponent from './nc-form-col-row.js'
export default { render: render, ...createComponent('NcFormFields', 'auto') } // true = set default width:100%;

// render code
import {
	renderSlot as _renderSlot,
	normalizeClass as _normalizeClass,
	normalizeStyle as _normalizeStyle,
	openBlock as _openBlock,
	createElementBlock as _createElementBlock
} from '../../vuelib.js'

export function render(_ctx, _cache) {
	return (
		_openBlock(),
		_createElementBlock(
			'div',
			{
				style: _normalizeStyle(_ctx.calculatedStyle),
				class: _normalizeClass(['nc-form-fields', _ctx.width === `auto` ? `nc-col-auto` : ``])
			},
			[_renderSlot(_ctx.$slots, 'default')],
			6 /* CLASS, STYLE */
		)
	)
}
